## org.eclipse.emf.ecore.xmi.impl
Class StringSegment.SegmentIterator

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.StringSegment.SegmentIterator

All Implemented Interfaces:
  java.util.Iterator<java.lang.String>, java.util.ListIterator<java.lang.String>

Enclosing class:
  StringSegment

    protected class StringSegment.SegmentIterator

extends java.lang.Object
implements java.util.ListIterator<java.lang.String>

Field Summary
`protected int` `innerIndex`
`protected int` `outerIndex`

Method Summary
`void` `add(java.lang.String newElement)`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`java.lang.String` `next()`
`int` `nextIndex()`
`java.lang.String` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `set(java.lang.String newElement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outerIndex

    protected int outerIndex

### innerIndex

    protected int innerIndex

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.lang.String>`
  Specified by:
    `hasNext` in interface `java.util.ListIterator<java.lang.String>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator<java.lang.String>`

### next

    public java.lang.String next()

  Specified by:
    `next` in interface `java.util.Iterator<java.lang.String>`
  Specified by:
    `next` in interface `java.util.ListIterator<java.lang.String>`

### previous

    public java.lang.String previous()

  Specified by:
    `previous` in interface `java.util.ListIterator<java.lang.String>`

### add

    public void add(java.lang.String newElement)

  Specified by:
    `add` in interface `java.util.ListIterator<java.lang.String>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.lang.String>`
  Specified by:
    `remove` in interface `java.util.ListIterator<java.lang.String>`

### set

    public void set(java.lang.String newElement)

  Specified by:
    `set` in interface `java.util.ListIterator<java.lang.String>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator<java.lang.String>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator<java.lang.String>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.